<?php
include '../beans/GerenciadorClientes.class.php';
$clienteMB = new GerenciadorClientes();
$cliente = new Cliente();
$listaSistemas = array();
$cnpj = "";
$cpf = "";
$validadoS = "";
$validadoN = "";
$liberadoS = "checked";
$liberadoN = "";
$statusA = "checked";
$statusN = "";
$contador = "";
$responsavel = "";
$dataImplantacao = "";
$id = (!empty($_POST['cliente']) ? $_POST['cliente'] : "");
if($id != ""){
	$cliente = $clienteMB->getCliente($id);
	$lista = $clienteMB->getSistemas($id);
	if(count($lista) > 0){
		foreach($lista as $i => $cs){
			$sis = new Sistema();
			$sis->setId($cs->getId_sistema());
			$sis->setNome($cs->getNomeSistema());
			$listaSistemas[$i] = $sis;
		}
		$contador = $lista[0]->getContador();
		$responsavel = $lista[0]->getResponsavel();
		$dataImplantacao = $lista[0]->getData_implantacao();
	}
	$cnpjCpf = strlen($cliente->getCnpjCpf());
	$cnpj = ($cnpjCpf > 11 ? "checked" : "");
	$cpf = ($cnpjCpf < 14 && $cnpjCpf > 10 ? "checked" : "");
	$validadoS = ($cliente->getCnpjCpfValidado() == "S" ? "checked" : "");
	$validadoN = ($cliente->getCnpjCpfValidado() == "N" ? "checked" : "");
	$liberadoS = ($cliente->getLiberado() == "S" ? "checked" : "");
	$liberadoN = ($cliente->getLiberado() == "N" ? "checked" : "");
	$statusA = (strtolower($cliente->getStatus()) == "ativo" ? "checked" : "");
	$statusN = (strtolower($cliente->getStatus()) == "inativo" ? "checked" : "");
}
?>
<script type="text/javascript" src="../../jquery/jquery.maskedinput-1.3.min.js"></script>
<script type="text/javascript">
	$(function(){
		$('#campos').buttonset();
		$('#sistemasCheck').buttonset();
		$('#consultar').button();
		$('#consultar').hide();
		$('#dialogFazenda').dialog({autoOpen: false, width: 730, modal:true});
		$('#dialogInfo').dialog({autoOpen: false, width: 400, modal:true,buttons:{"ok": function(){ $(this).dialog("close");}}});
		$('#dataImpl').datepicker({dateFormat:'dd/mm/yy',showOn:"button",buttonImage:"../imagens/calendar.png",buttonImageOnly:true });
		$('#dataImpl').mask('99/99/9999');
		var cnpjCpf = $('#cnpjCpf').val();
		if(cnpjCpf != ""){ 
			$('#cnpjCpf').show(); 
			if(cnpjCpf.length < 14){ mudaCpf(); } else { mudaCnpj(); }
		} else { $('#cnpjCpf').hide(); }
	});
	function mudaCnpj(){
		$("#cnpjCpf").mask("99.999.999/9999-99");
		$('#cnpjCpf').show();
		$('#cnpjCpf').focus();
		$('#consultar').show();
	}
	function mudaCpf(){
		$("#cnpjCpf").mask("999.999.999-99");
		$('#cnpjCpf').show();
		$('#cnpjCpf').focus();
		$('#consultar').hide();
	}
	function consultarCnpj(){
		var cnpj = $('#cnpjCpf').val();
		cnpj = cnpj.replace('.', '').replace('.', '').replace('/', '').replace('-', '');
		if(cnpj.length == 14){
			$('#iframe').attr("src","http://www.receita.fazenda.gov.br/PessoaJuridica/CNPJ/cnpjreva/cnpjreva_solicitacao2.asp?cnpj="+cnpj);
			$('#dialogFazenda').dialog('open');
		}
	}
	function verificaCampos(){
		var nome = $('#nome').val();
		var cnpjcpf = $('#cnpjCpf').val();
		var cnpjCpfRadio = $('input[name=cnpjCpfRad]:checked').val() || '';
		var validado = $("input[name=validado]:checked").val() || '';
		var tipoinst = $('#tipoInstituicao').val();
		var razao = $('#razao').val();
		var fantasia = $('#nomeFantasia').val();
		var liberado = $('#liberado').val();
		var status = $('#status').val();
		var sistemas = $('.sis:checked').change().val() || [];
		if(nome != "" && tipoinst != "" || sistemas != "" && cnpjcpf != "" && validado != ""){
			return true;
		} else {
			var campos = "<ul class=miniTexto style=color:#666;margin-top:10px; >";
			if(nome == ""){ campos+="<li>Nome</li>";}
			if(cnpjcpf == ""){ campos+="<li>CNPJ/CPF</li>";}
			if(validado == ""){ campos+="<li>Validado</li>";}
			if(tipoinst == ""){ campos+="<li>Instituição</li>";}
			if(sistemas == ""){ campos+="<li>Sistemas</li>";}
			campos+="</ul>";
			$('#msgDialog').html('Campos obrigatórios (*) não preenchidos:<br/>'+campos);
			$('#dialogInfo').dialog('open');
			return false;
		}
	}
</script>
<input type="hidden" name="id" value="<?php echo $cliente->getId(); ?>"/>
<input type="hidden" name="cnpjCpfAtual" value="<?php echo $cliente->getCnpjCpf(); ?>"/>
<table id="campos">
<tr><td align="right"><strong>*Nome :</strong></td>
  <td colspan="5"><input type="text" id="nome" name="nome" maxlength="100" class="ui-widget ui-widget-content ui-corner-right campo" value="<?php echo utf8_encode($cliente->getNome()); ?>"/></td></tr>
<tr><td align="right"><strong>*CNPJ/CPF :</strong></td>
  <td width="95"><input type="radio" name="cnpjCpfRad" id="cnpj" onClick="mudaCnpj();" <?php echo $cnpj; ?>/><label for="cnpj">Cnpj</label>
  		 		 <input type="radio" name="cnpjCpfRad" id="cpf" onClick="mudaCpf();" <?php echo $cpf; ?>/><label for="cpf">Cpf</label></td>
  <td colspan="2" width="120"><input type="text" name="cnpjCpf" id="cnpjCpf" maxlength="18" class="ui-widget ui-widget-content ui-corner-right campoLogin" value="<?php echo $cliente->getCnpjCpf(); ?>"/>
    <input type="button" onClick="consultarCnpj();" id="consultar" value="..."/></td>
  <td width="77"><strong>*Validado? :</strong></td>
  <td><input type="radio" name="validado" id="validadoS" value="S" <?php echo $validadoS; ?>/><label for="validadoS">Sim</label>
  	  <input type="radio" name="validado" id="validadoN" value="N" <?php echo $validadoN; ?>/><label for="validadoN">Não</label></td>
  </tr>
<tr><td align="right"><strong>*Instituição :</strong></td>
  <td colspan="5"><select name="tipoInstituicao" id="tipoInstituicao" class="ui-widget ui-widget-content campo">
    <option selected value="<?php echo utf8_encode($cliente->getTipoInstituicao()); ?>"><?php echo ($cliente->getTipoInstituicao() != "" ? utf8_encode($cliente->getTipoInstituicao()) : "..."); ?></option>
    <option>Prefeitura</option>
    <option>Câmara de Vereadores</option>
    <option>Fundação</option>
    <option>Autarquia</option>
    <option>Fundo</option>
    <option>Instituto de Previdência</option>
    <option>Autarquia Estadual de Autonomia Mista</option>
    <option>Outros</option>
  </select></td>
  </tr>
<tr><td align="right"><strong>Razão Social :</strong></td>
  <td colspan="5"><input type="text" name="razao" id="razao" maxlength="100" class="ui-widget ui-widget-content ui-corner-right campo" value="<?php echo utf8_encode($cliente->getRazao()); ?>"/></td>
  </tr>
<tr><td align="right"><strong>Nome Fantasia :</strong></td>
  <td colspan="5"><input type="text" name="nomeFantasia" id="nomeFantasia" maxlength="45" class="ui-widget ui-widget-content ui-corner-right campo" value="<?php echo utf8_encode($cliente->getNomeFantasia()); ?>"/></td>
  </tr>
<tr><td align="right"><strong>*Liberado :</strong></td>
  <td><input type="radio" name="liberado" id="liberadoS" value="S" <?php echo $liberadoS; ?>/><label for="liberadoS">Sim</label>
      <input type="radio" name="liberado" id="liberadoN" value="N" <?php echo $liberadoN; ?>/><label for="liberadoN">Não</label></td>
  <td align="right" width="135"><strong>*Status :</strong></td>
  <td width="120"><input type="radio" name="status" id="statusA" value="Ativo" <?php echo $statusA; ?>/><label for="statusA">Ativo</label>
  				  <input type="radio" name="status" id="statusN" value="Inativo" <?php echo $statusN; ?>/><label for="statusN">Inativo</label></td>
  <td colspan="2">&nbsp;</td>
  </tr>
<tr><td align="right"><strong>*Sistemas :</strong></td>
  <td colspan="5">
    <?php
	$sistemas = $clienteMB->getListaSistemas();
	if(count($listaSistemas) > 0){
		foreach($sistemas as $i => $sis){
			$contem = false;
			foreach($listaSistemas as $ss){
				if($sis->getId() == $ss->getId()){ $contem = true; }
			}
			if($contem){ echo "<input type=\"checkbox\" name=\"sistemas[]\" id=\"sistema$i\" class=\"sis\" value=\"".$sis->getId()."\" checked/><label for=\"sistema$i\">".utf8_encode($sis->getNome())."</label>"; }
			else { echo "<input type=\"checkbox\" name=\"sistemas[]\" id=\"sistema$i\" class=\"sis\" value=\"".$sis->getId()."\"/><label for=\"sistema$i\">".utf8_encode($sis->getNome())."</label>"; }
		}
	} else {
		foreach($sistemas as $i => $sis){
			echo "<input type=\"checkbox\" name=\"sistemas[]\" id=\"sistema$i\" class=\"sis\" value=\"".$sis->getId()."\"/><label for=\"sistema$i\">".utf8_encode($sis->getNome())."</label>";
		}
	}
  ?>
  </td></tr>
<tr><td align="right"><strong>Data implantação :</strong></td>
  <td colspan="5"><input type="text" name="dataImplantacao" id="dataImpl" maxlength="10" class="ui-widget ui-widget-content ui-corner-right campoMin" value="<?php echo $dataImplantacao; ?>"/></td>
  </tr>
<tr><td align="right"><strong>Contador :</strong></td>
  <td colspan="5"><input type="text" name="contador" id="contador" maxlength="45" class="ui-widget ui-widget-content ui-corner-right campo" value="<?php echo utf8_encode($contador); ?>"/></td>
  </tr>
  <tr><td align="right"><strong>Responsável :</strong></td>
  <td colspan="5"><input type="text" name="responsavel" id="responsavel" maxlength="45" class="ui-widget ui-widget-content ui-corner-right campo" value="<?php echo utf8_encode($responsavel); ?>"/></td>
  </tr>
</table>

<div id="dialogFazenda" title="Consulta CNPJ">
<iframe id="iframe" width="700" height="400" frameborder="0"></iframe>
</div>

<div id="dialogInfo" title="Atenção">
  <p id="msgDialog">Campos obrigatórios (*) não preenchidos!</p>
</div>